Known Plugin Conflicts

Elementor works with *almost* every plugin, and especially with popular plugins such as WooCommerce and WPML. However, some plugins are incompatible with Elementor. Here we listed the known plugin conflicts with Elementor and added an alternative to almost each of them. If you experience compatibility issues with other plugins please let us know about them.

The following plugins are not compatible with Elementor:

Shortcodes Ultimate

It is not possible to open the interface of Shortcodes Ultimate from Elementor.

Alternative: Use shortcodes in another environment and paste it to the Shortcode Widget.

For more information, check this thread:  https://github.com/pojome/elementor/issues/1033

Better WordPress Minify

There is a conflict with Better WordPress Minify due to a problem with the compression of the javascript files.

The issue is known and handled  here

Alternative: Use instead this plugin.

qTranslate X

qTranslate X does not create separate translations for each page,

as a matter of fact, we recommend using more adapted plugins for your translations.

Alternative: Use Polylang or WPML.

Facebook feed WD

This plugin leads to bugs with the Text Editor

Alternative: Try to follow these instructions https://developers.facebook.com/docs/plugins/page-plugin

The code provided includes JS so you cannot integrate it via Elementor.

If you are not a tech-savvy, ask your developer to help you with this task.

Image Map Pro

When you use the shortcode widget (and sometimes the text widget) to insert the shortcodes of this plugin, you can hardly edit or delete them in Elementor.

Troubleshooting Other Issues

For other issues, check out our FAQ page .